#!/bin/bash

cd LZerD/01.BASE/INV

rec=../rec/${PDB_ID}_$REC_CHN.pdb
[ -s $rec ] || exit -1

cp=../CP/${PDB_ID}_$REC_CHN.cp
[ -s $cp ] || exit -1

gts=../CP/${PDB_ID}_$REC_CHN.gts
[ -s $gts ] || exit -1

inv=${PDB_ID}_${REC_CHN}_01.inv
if ! [ -s $inv ]; then
	time ./LZD -g $gts -c $cp -o ${PDB_ID}_$REC_CHN -dim 161 -rad 6.0 -ord 10
	sed 's/nan/0/g' $inv > ${PDB_ID}_${REC_CHN}.inv	
fi

lig=../lig/${PDB_ID}_$LIG_CHN.pdb
[ -s $lig ] || exit -1

cp=../CP/${PDB_ID}_$LIG_CHN.cp
[ -s $cp ] || exit -1

gts=../CP/${PDB_ID}_$LIG_CHN.gts
[ -s $gts ] || exit -1

inv=${PDB_ID}_${LIG_CHN}_01.inv
if ! [ -s $inv ]; then
    time ./LZD -g $gts -c $cp -o ${PDB_ID}_$LIG_CHN -dim 161 -rad 6.0 -ord 10
    sed 's/nan/0/g' $inv > ${PDB_ID}_${LIG_CHN}.inv
fi
