#!/bin/bash

cd LZerD/02.MPI/01.LZerD_MPI/
base=../../01.BASE
id=$PDB_ID
r=$REC_CHN
l=$LIG_CHN
rec=${id}_$r
lig=${id}_$l

[ -s $id.out.gz ] || ( touch $id.out.gz && ./VDOCK -rec $base/CP/$rec.cp -lig $base/CP/$lig.cp -prec $base/rec/$rec.pdb -plig $base/lig/$lig.pdb -zrec $base/INV/$rec.inv -zlig $base/INV/$lig.inv -rfmin 4.0 -rfmax 9.0 -rfpmax 12.0 -nvotes 6 -cor 0.7 -dist 2.0 -nrad 2. -o $id.out && gzip -f $id.out )
