#!/bin/bash

base=`basename $1`
id=${base:0:4}
rec=`ls ../01.BASE/rec/${id}*.pdb`
lig=`ls ../01.BASE/lig/${id}*.pdb`
pred=$1

trans=${base%%LZerD}trans
out=${base%%LZerD}cirmsd

# ls $rec $lig

if ! [ -e "$out" ]; then
  touch $out
  ./Trans rec:$rec lig:$lig pred:$pred max:2000 trans:$trans
  ./CIRmsd rec:$rec lig:$lig pred:$pred out:$out max:2000 trans:$trans
  rm $trans
fi
