#!/bin/bash

cd ./PI_LZerD/01.Pred_PPI/01.Pred_PPI_pdb

rec=${PDB_ID}_${REC_CHN}
meta=../../../$rec.meta
[ -s $meta ] || ( echo "$meta not found" && exit -1 )

echo "#!/bin/bash" > mark_ppi.sh

lst=`./meta2res_lst.pl $meta`
echo "./mark_ppi ../../../LZerD/01.BASE/rec/$rec.pdb $lst > $rec.rec.pdb" >> mark_ppi.sh

lig=${PDB_ID}_${LIG_CHN}
meta=../../../$lig.meta
[ -s $meta ] || ( echo "$meta not found" && exit -1 )

lst=`./meta2res_lst.pl $meta`
echo "./mark_ppi ../../../LZerD/01.BASE/lig/$lig.pdb $lst > $lig.lig.pdb" >> mark_ppi.sh

chmod +x mark_ppi.sh
./mark_ppi.sh
rm mark_ppi.sh
