#!/bin/bash
ci_rmsd=$1
base=`basename $1`
base=${base%%.cirmsd}
id=${base:0:4}

sim=../02.Sim_LZerD/$base.sim

for f in $sim $ci_rmsd; do
  if ! [ -e $f ]; then
    echo $f not found; exit -1
  fi
done

t1k=$base.t1k
if ! [ -e $t1k ]; then
  touch $t1k
  ./T1K max:1000 min_cirmsd:4.0 sim:$sim ci_rmsd:$ci_rmsd tnk:$t1k
fi
