#!/bin/bash
id=$1
rec=$2
lig=$3

PBI=../..
sim=$PBI/PI_LZerD/02.Sim_LZerD/$id.sim
rec=$PBI/LZerD/01.BASE/CP/$rec.cp
lig=$PBI/LZerD/01.BASE/CP/$lig.cp
ci_rmsd=$PBI/PI_LZerD/03.LZerD_CIRMSD/$id.cirmsd

for f in $sim $rec $lig $ci_rmsd; do
  if ! [ -e $f ]; then
    echo $f not found!
    exit -1
  fi
done

min_cirmsd=4.0
t60=$id.40A.t60
np=42
if ! [ -e $t60 ]; then
  touch $t60
  ./T60 max:1000 min_cirmsd:$min_cirmsd sim:$sim rec:$rec lig:$lig ci_rmsd:$ci_rmsd t60:$t60
  
  min_cirmsd=2.5
  t60=$id.25A.t60
  ./T60 max:1000 min_cirmsd:$min_cirmsd sim:$sim rec:$rec lig:$lig ci_rmsd:$ci_rmsd t60:$t60
fi
