#!/bin/bash

cd PI_LZerD/10.Result/

rec=../../LZerD/01.BASE/rec/${PDB_ID}_$REC_CHN.pdb
lig=../../LZerD/01.BASE/lig/${PDB_ID}_$LIG_CHN.pdb
i61=../09.T61/$PDB_ID.i61

[ -e $rec ] || ( echo $rec not found && exit -1 )
[ -e $lig ] || ( echo $lig not found && exit -1 )
[ -e $i61 ] || ( echo $i61 not found && exit -1 )

base=`basename $i61`
N=3
./gen_pdb $rec $lig $i61 $N $base.
