set term png size 1024, 768 
set term png size 400, 300 
#set xlabel "Rank (logarithmic scale)"
set xlabel "Rank"
set ylabel "%Correct predictions"
set yrange [0:100]
set key right bottom
set key top
#unset logscale x
#set nokey
#set label 20 "A" at 2, 90  front nopoint tc def
set output 'ci_rmsd.2k.srb.png'
set title "ci_rmsd.2k.srb.png"
unset logscale x
plot "< grep '^CI_RMSD.25 ' ci_rmsd.2k.srb.txt" using 2:7 w l title 'ci_rmsd.2k.srb.txt 25A', \
"< grep '^CI_RMSD.40 ' ci_rmsd.2k.srb.txt" using 2:7 w l title 'ci_rmsd.2k.srb.txt 40A', \
"LZerD.40A.dat" using 1:2 w l title 'Predictions within 4.0A', \
     "LZerD.25A.dat" using 1:2 w l title 'Predictions within 2.5A'

set output 'ci_rmsd.2k.srb.log.png'
set title "ci_rmsd.2k.srb.log.png"
set logscale x
plot "< grep '^CI_RMSD.25 ' ci_rmsd.2k.srb.txt" using 2:7 w l title 'ci_rmsd.2k.srb.txt 25A', \
"< grep '^CI_RMSD.40 ' ci_rmsd.2k.srb.txt" using 2:7 w l title 'ci_rmsd.2k.srb.txt 40A', \
"LZerD.40A.dat" using 1:2 w l title 'Predictions within 4.0A', \
     "LZerD.25A.dat" using 1:2 w l title 'Predictions within 2.5A'
