set term png size 1024, 768 
set term png size 400, 300 
#set xlabel "Rank (logarithmic scale)"
set xlabel "Rank (in log scale)"
set ylabel "%Correct predictions"
set yrange [0:100]
#set key right bottom
#set logscale x
#unset logscale x
#set nokey
#set label 20 "A" at 2, 90  front nopoint tc def

set output 'LZerD.25A.png'
set title "Protein docking prediction accuracies using LZerD"
plot "LZerD.40A.dat" using 1:2 w l title 'Predictions within 4.0A', \
     "LZerD.25A.dat" using 1:2 w l title 'Predictions within 2.5A'

set logscale x
set output 'LZerD.25A.log.png'
set title "Protein docking prediction accuracies"
plot "LZerD.40A.dat" using 1:2 w l title 'Corr. pred. in 4.0A', \
     "LZerD.25A.dat" using 1:2 w l title 'Corr. pred. in 2.5A'
