set term png size 1024, 768 
set term png size 400, 300 
#set xlabel "Rank (logarithmic scale)"
set xlabel "Rank"
set ylabel "%Correct predictions"
set yrange [0:100]
set key right bottom
set logscale x
#unset logscale x
#set nokey
set label 20 "A" at 2, 90  front nopoint tc def
set output 'plot.25A.png'
plot "< grep '^CI_RMSD.25 ' plot.0.txt" using 2:7 w l title 'Correct', \
 "< grep '^CI_RMSD.25 ' plot.5.txt" using 2:7 w l title '5 residues shift', \
 "< grep '^CI_RMSD.25 ' plot.10.txt" using 2:7 w l title '10 residues shift', \
 "< grep '^CI_RMSD.25 ' plot.12.txt" using 2:7 w l title '12 residues shift', \
 "< grep '^CI_RMSD.25 ' plot.15.txt" using 2:7 w l title '15 residues shift', \
 "LZerD.25A.dat" using 1:2 w l title 'LZerD'

set label 20 "B" at 2, 90  front nopoint tc def
set output 'plot.40A.png'
plot "< grep '^CI_RMSD.40 ' plot.0.txt" using 2:7 w l title 'Correct', \
 "< grep '^CI_RMSD.40 ' plot.5.txt" using 2:7 w l title '5 residues shift', \
 "< grep '^CI_RMSD.40 ' plot.10.txt" using 2:7 w l title '10 residues shift', \
 "< grep '^CI_RMSD.40 ' plot.12.txt" using 2:7 w l title '12 residues shift', \
 "< grep '^CI_RMSD.40 ' plot.15.txt" using 2:7 w l title '15 residues shift', \
 "LZerD.40A.dat" using 1:2 w l title 'LZerD'
