set term png size 1024, 768 
set term png size 400, 300 
#    set title "GIW.log"
set xlabel "Rank (in log scale)"
set ylabel "%Correct predictions"
set yrange [0:100]
set key right bottom
set logscale x
#set nokey
#set title "Simple Residue filtering"
set output 'plot25.log.png'
set label 20 "A" at 2, 90  front nopoint tc def
plot 'plot25.0.dat' u 1:6 w l title 'Correct', \
 'plot25.5.dat' u 1:6 w l title '5 res. shift', \
 'plot25.10.dat' u 1:6 w l title '10 res. shift', \
 'plot25.12.dat' u 1:6 w l title '12 res. shift', \
 'plot25.15.dat' u 1:6 w l title '15 res. shift', \
 "LZerD.25A.dat" using 1:2 w l title 'LZerD'

set output 'plot40.log.png'
set label 20 "B" at 2, 90  front nopoint tc def
plot 'plot40.0.dat' u 1:6 w l title 'Correct', \
 'plot40.5.dat' u 1:6 w l title '5 res. shift', \
 'plot40.10.dat' u 1:6 w l title '10 res. shift', \
 'plot40.12.dat' u 1:6 w l title '12 res. shift', \
 'plot40.15.dat' u 1:6 w l title '15 res. shift', \
 "LZerD.40A.dat" using 1:2 w l title 'LZerD'
