set term png size 1024, 768 
set term png size 400, 300
#    set title "GIW.dat"
set xlabel "Rank (log scale)"
set ylabel "%Correct predictions"
set yrange [0:100]
set key right bottom
set logscale x
#set nokey
#set label 20 "A" at 2, 90  front nopoint tc def
#set title "Title - log"
#plot 'S0.dat' u 1:6 w l, 'S5.dat' u 1:6 w l, 'S10.dat' u 1:6 w l, 'S12.dat' u 1:6 w l, 'S15.dat' u 1:6 w l

#unset logscale x
#set xlabel "Rank"
#set label 20 "B" at 2, 90  front nopoint tc def
#set title "Title"

set output 'i0.48.log.png'
set label 20 "<48"  at 2, 90  front nopoint tc def
plot 'I0.0.48.dat' u 1:6 w l t 'Correct', \
'I5.0.48.dat' u 1:6 w l t '5 res shift', \
'I10.0.48.dat' u 1:6 w l t '10 res shift', \
'I12.0.48.dat' u 1:6 w l t '12 res shift', \
'I15.0.48.dat' u 1:6 w l t '15 res shift'

set output 'i48.60.log.png'
set label 20 "48-60" at 2, 90  front nopoint tc def
plot 'I0.48.60.dat' u 1:6 w l t 'Correct', \
'I5.48.60.dat' u 1:6 w l t '5 res shift', \
'I10.48.60.dat' u 1:6 w l t '10 res shift', \
'I12.48.60.dat' u 1:6 w l t '12 res shift', \
'I15.48.60.dat' u 1:6 w l t '15 res shift'

set output 'i60.999.log.png'
set label 20 ">60" at 2, 90  front nopoint tc def
plot 'I0.60.999.dat' u 1:6 w l t 'Correct', \
'I5.60.999.dat' u 1:6 w l t '5 res shift', \
'I10.60.999.dat' u 1:6 w l t '10 res shift', \
'I12.60.999.dat' u 1:6 w l t '12 res shift', \
'I15.60.999.dat' u 1:6 w l t '15 res shift'
