set term png size 1024, 768 
set term png size 400, 300
#    set title "GIW.dat"
set xlabel "Rank (log scale)"
set ylabel "%Correct predictions"
set yrange [0:100]
set key right bottom
set logscale x
#set nokey
#set label 20 "A" at 2, 90  front nopoint tc def
#set title "Title - log"
#plot 'S0.dat' u 1:6 w l, 'S5.dat' u 1:6 w l, 'S10.dat' u 1:6 w l, 'S12.dat' u 1:6 w l, 'S15.dat' u 1:6 w l

#unset logscale x
#set xlabel "Rank"
#set label 20 "B" at 2, 90  front nopoint tc def
#set title "Title"

set output '0.250.log.png'
set label 20 "-250" at 2, 90  front nopoint tc def
plot 'S0.0.250.dat' u 1:6 w l t 'Correct', \
'S5.0.250.dat' u 1:6 w l t '5 res shift', \
'S10.0.250.dat' u 1:6 w l t '10 res shift', \
'S12.0.250.dat' u 1:6 w l t '12 res shift', \
'S15.0.250.dat' u 1:6 w l t '15 res shift'

set output '250.500.log.png'
set label 20 "250-500" at 2, 90  front nopoint tc def
plot 'S0.250.500.dat' u 1:6 w l t 'Correct', \
'S5.250.500.dat' u 1:6 w l t '5 res shift', \
'S10.250.500.dat' u 1:6 w l t '10 res shift', \
'S12.250.500.dat' u 1:6 w l t '12 res shift', \
'S15.250.500.dat' u 1:6 w l t '15 res shift'

set output '500.750.log.png'
set label 20 "500-750" at 2, 90  front nopoint tc def
plot 'S0.500.750.dat' u 1:6 w l t 'Correct', \
'S5.500.750.dat' u 1:6 w l t '5 res shift', \
'S10.500.750.dat' u 1:6 w l t '10 res shift', \
'S12.500.750.dat' u 1:6 w l t '12 res shift', \
'S15.500.750.dat' u 1:6 w l t '15 res shift'

set output '750.999.log.png'
set label 20 "750-" at 2, 90  front nopoint tc def
plot 'S0.750.9999.dat' u 1:6 w l t 'Correct', \
'S5.750.9999.dat' u 1:6 w l t '5 res shift', \
'S10.750.9999.dat' u 1:6 w l t '10 res shift', \
'S12.750.9999.dat' u 1:6 w l t '12 res shift', \
'S15.750.9999.dat' u 1:6 w l t '15 res shift'
