set term png size 1024, 768 
set term png size 400, 300
#    set title "GIW.dat"
set xlabel "Rank (log scale)"
set ylabel "%Correct predictions"
set yrange [0:100]
set key right bottom
set logscale x
#set nokey
set output '25.log.png'
set label 20 "A" at 2, 90  front nopoint tc def
set title "PI_LZerD use 100% accurate PPI with cutoff 2.5A"
plot 'LZerD.25A.dat' u 1:2 w l title "LZerD", \
  'LZerD.CI_RMSD.25.2k.srb.dat' u 2:7 w l title "LZerD with cluster", \
  'SRF0.25.dat' u 1:6 w l title "Simple Residue Filtering", \
  'i61.2.5A.dat' u 1:6 w l title "PI_LZerD with correct PPI"

set output '40.log.png'
set label 20 "B" at 2, 90  front nopoint tc def
set title "PI_LZerD use 100% accurate PPI with cutoff 4.0A"
plot 'LZerD.40A.dat' u 1:2 w l title "LZerD", \
  'LZerD.CI_RMSD.40.2k.srb.dat' u 2:7 w l title "LZerD with cluster", \
  'SRF0.40.dat' u 1:6 w l title "Simple Residue Filtering", \
  'i61.4.0A.dat' u 1:6 w l title "PI_LZerD with correct PPI"
