#!/usr/bin/perl
use File::Basename;

#@LZerD=`ls /scratch/scratch96/l/lib/LZerD/ORD_SRB/*.LZerD`;
%conserved=("1IMA"=>76, "1S9A"=>72, "1OKR"=>70, "1V5X"=>59, "2TPS"=>55, "1P9L"=>47, "1M2A"=>47, "1II8"=>46, "1DVR"=>45, "2QR2"=>41, "1IV5"=>37, "1HX8"=>35, "1S3O"=>33, "1JKT"=>33, "1NZI"=>31, "1K3R"=>31, "1KZQ"=>30, "1AG9"=>30, "1LX5"=>25, "1PG5"=>25, "1VPV"=>23, "1M2T"=>20, "1M0S"=>20, "1U0S"=>18, "1AB8"=>8, "1M4Z"=>2, "2PHI"=>0, "2PGT"=>0, "1YLA"=>0, "1Y97"=>0, "1TNR"=>0, "1TGZ"=>0, "1T8T"=>0, "1S4M"=>0, "1QAE"=>0, "1M10"=>0, "1KU2"=>0, "1K66"=>0, "1I4J"=>0, "1AYO"=>0, "1ADU"=>0, "1A4I"=>0);
%fnat=("1OXM"=>92,"3YGS"=>92,"1HUX"=>87,"1A7H"=>72,"1UT4"=>68,"1M2A"=>64,"1AG9"=>63,"1AOH"=>58,"1IIG"=>55,"1U07"=>54,"1RD5"=>52,"1KPA"=>50,"2TMK"=>48,"830C"=>47,"1IV5"=>47,"1SN8"=>45,"1JAT"=>45,"1OKR"=>44,"1S9A"=>43,"1R28"=>42,"1CY9"=>42,"1JKT"=>40,"1VC1"=>39,"1NXM"=>38,"1IMA"=>36,"1K3E"=>36,"1LX5"=>34,"1P9L"=>34,"1OXB"=>33,"1DVR"=>31,"1SPP"=>31,"1TH8"=>29,"2TPS"=>28,"1L4I"=>27,"1PG5"=>25,"1KTJ"=>23,"1JBO"=>23,"1R61"=>23,"1NZI"=>21,"1NFH"=>21,"1YEM"=>20,"1T6S"=>20,"1II8"=>19,"2PSP"=>19,"1QB2"=>19,"1V5X"=>19,"1IIM"=>18,"2SPC"=>18,"1IL0"=>17,"1N7K"=>16,"1S3O"=>15,"1U0S"=>14,"1NCF"=>13,"1T92"=>12,"1KZQ"=>12,"1VPV"=>11,"2QR2"=>11,"1HX8"=>11,"1OW3"=>10,"1QFH"=>10,"1K3R"=>9,"1JO0"=>9,"1M0S"=>9,"1NNQ"=>9,"1SQU"=>8,"1G60"=>7,"1N1C"=>7,"1VKI"=>7,"1SFX"=>6,"1VIO"=>6,"1M2T"=>4,"1IQ6"=>3,"1JZT"=>3,"1M4Z"=>2,"1AB8"=>1,"1JTK"=>1,"1HDM"=>1,"1TLU"=>1,"2SHK"=>0,"2PHI"=>0,"2PGT"=>0,"2BKJ"=>0,"1ZAK"=>0,"1YLA"=>0,"1Y97"=>0,"1VSC"=>0,"1TX0"=>0,"1TNR"=>0,"1TGZ"=>0,"1TE5"=>0,"1T8T"=>0,"1S4M"=>0,"1QVE"=>0,"1QAE"=>0,"1PBW"=>0,"1OTV"=>0,"1OJV"=>0,"1O4U"=>0,"1NUB"=>0,"1NK1"=>0,"1NCH"=>0,"1NBC"=>0,"1M10"=>0,"1L6R"=>0,"1KU2"=>0,"1K6D"=>0,"1K66"=>0,"1K4E"=>0,"1K41"=>0,"1JMK"=>0,"1JMA"=>0,"1IUN"=>0,"1IU1"=>0,"1ICI"=>0,"1I4J"=>0,"1HRU"=>0,"1HKQ"=>0,"1GXJ"=>0,"1EO2"=>0,"1DYO"=>0,"1D0Q"=>0,"1CXZ"=>0,"1BMT"=>0,"1AYO"=>0,"1AJK"=>0,"1ADU"=>0,"1A4I"=>0);

($minc,$maxc)=@ARGV;

while (<STDIN>) { @data=split();
  foreach $file (@data) {
    $id=basename($file); $id=substr($id,0,4);
    die $id unless exists $fnat{$id};
    $csv=$conserved{$id};
    $fnat=$fnat{$id};
    #print "$id $minc $csv\n";
    next unless $minc<$fnat;
    #print "$id $csv $maxc\n";
    next unless $csv<=$fnat;
    print "$file\n";
  }
}
