#!/usr/bin/perl
use strict;
use File::Basename;
  
my @ids=@ARGV if (@ARGV);

foreach my $id (@ids) {
  my $OUT="$id.LZerD";
  next if ( -s $OUT );
  `touch $OUT`;
  print "$OUT\n";
    
  my @data;
  my $k;
  my $srb;
  my %matOf=();
  my %irmsdOf=();
  my $GZ="../02.MPI/01.LZerD_MPI/$id.out.gz"; die $GZ unless ( -e $GZ );
  my $MAT="../02.MPI/02.LZerD_MAT/$id.mat"; die unless ( -e $MAT);
  #my $IRMSD="../02.MPI/04.IRMSD_MPI/$id.irmsd"; die unless ( -e $IRMSD);
  my $SRB="../02.MPI/03.SRB_MPI/$id.srb"; die unless ( -e $SRB );
  
  open MAT, "<$MAT" or die $MAT;
  while (<MAT>) { chomp(); @data=split(); $k=$data[13]; $matOf{$k}=$_; }
    
  #open IRMSD, "<$IRMSD" or die $IRMSD;
  #while (<IRMSD>) { chomp(); @data=split(); $k=$data[4]; $irmsdOf{$k}=$data[0]; }
   
  open SRB, "awk '{print \$1,\$3}' $SRB | sort -n -T. |" or die $SRB;
  
  my $n=0;
  open OUT, ">$OUT" or die "$OUT";
  while (<SRB>) { chomp(); ($srb, $k)=split(); $n++;
    #print OUT "$srb $irmsdOf{$k} $matOf{$k}\n";  
    print OUT "$srb 5.0 $matOf{$k}\n";  
  } close OUT;
  
  #die unless ((keys %matOf) == (keys %irmsdOf));
  die unless ((keys %matOf) == $n);
}  
