#!/bin/bash
ci_rmsd=$1
base=`basename $1`
max=$2
base=${base%%.cirmsd}
id=${base:0:4}

sim=../04.ORD_SRB/$id.LZerD

for f in $sim $ci_rmsd; do
  if ! [ -e $f ]; then
    echo $f not found!
    exit -1
  fi
done

min_cirmsd=4.0
tnk=$base.t1k
if ! [ -e $tnk ]; then
  touch $tnk
  ./TNK max:$max min_cirmsd:$min_cirmsd sim:$sim ci_rmsd:$ci_rmsd tnk:$tnk
fi
