#!/usr/bin/perl

($id,$rec_chn,$lig_chn)=@ARGV;

die "length of $id != 4" unless length $id == 4;
$rec="${id}_$rec_chn.pdb";
$lig="${id}_$lig_chn.pdb";
$rec_meta="${id}_$rec_chn.meta";
$lig_meta="${id}_$lig_chn.meta";

foreach ($rec,$lig,$rec_meta,$lig_meta) {
  die "$_ not found!" unless ( -e "$_" );
}

`grep ^ATOM $rec | awk '{if (substr(\$0,22,1)=="'$rec_chn'") print }' | ./pdb_fmt > $id.tmp`;
system("diff $rec $id.tmp") == 0 or die "format? $rec";

`grep ^ATOM $lig | awk '{if (substr(\$0,22,1)=="'$lig_chn'") print }' | ./pdb_fmt > $id.tmp`;
system("diff $lig $id.tmp") == 0 or die "format? $rec";

`rm -f $id.tmp`;

$pdb_len=`grep " CA " $rec|wc -l`;
$meta_len=`cat $rec_meta|wc -l`;
die "size don't match: $rec $rec_meta" unless ( $pdb_len == $meta_len);

$pdb_len=`grep " CA " $lig|wc -l`;
$meta_len=`cat $lig_meta|wc -l`;
die "size don't match: $lig $lig_meta" unless ( $pdb_len == $meta_len);

