#!/bin/bash

base=`basename $1`
id=${base:0:4}
rec=`ls ../../LZerD/01.BASE/rec/${id}*.pdb`
lig=`ls ../../LZerD/01.BASE/lig/${id}*.pdb`
pred=$1

trans=${base%%sim}trans
out=${base%%sim}cirmsd

# ls $rec $lig

if ! [ -e "$out" ]; then
  touch $out
  echo $out
  time ./Trans rec:$rec lig:$lig pred:$pred max:1000 trans:$trans
  time ./CIRmsd rec:$rec lig:$lig pred:$pred out:$out max:1000 trans:$trans
  rm $trans
fi
