#!/usr/bin/perl

sub bySRB {
  ($srba)=split(/\S+/,$a);
  ($srbb)=split(/\S+/,$b);
  return $srbb<$srba;
}

foreach $iter (@ARGV) {
  $k60=$iter; $k60=~s/iter.gz/k60/;
  unless ( -e "$k60" ) {
    `touch $k60`;
    print "$k60\n";
    %keys=();
    open ITER, "zcat $iter|" or die "$iter";
    while (<ITER>) {
      die $_ unless /^(\d+): (.*)$/;
      push(@{$keys{$1}}, $2);
    }

    open K60, ">$k60" or die "$k60";
    foreach $k (keys %keys) {
      $top=0;
      foreach (sort bySRB @{$keys{$k}}) {
        print K60 "$k: $_\n";
	$top++;
	last if ($top>=1000);
      }
    }
    close K60;
    #for k in `zcat $iter | awk -F ":" '{print $1}' | sort -u -T.`; do zcat $iter | grep ^$k: | sort -nk2 -T. | head -n 1000; done > $k60
    # rm $iter
  }
}
