#!/bin/bash

base=`basename $1`
id=${base:0:4}
PDB=../../LZerD/01.BASE
rec=`ls $PDB/rec/${id}*.pdb`
lig=`ls $PDB/lig/${id}*.pdb`
pred=$1

trans=${base%%k60}trans
out=${base%%k60}cirmsd

if ! [ -e $out ]; then
  touch $out;
  [ -e $trans ] || ./Trans rec:$rec lig:$lig pred:$pred out:$trans max:1000
  ./CIRmsd rec:$rec lig:$lig pred:$pred trans:$trans out:$out max:1000
fi
