#!/bin/bash
base=`basename $1`
base=${base%%.k60}
id=${base:0:4}

sim=$1
ci_rmsd=../08.K60_CIRMSD/$base.cirmsd
srf=../06.SRF/${base}.rcf

for f in $sim $ci_rmsd $srf; do
  if ! [ -e $f ]; then
    echo $f not found!
    exit -1
  fi
done

min_cirmsd=4.0
i61=$base.i61
if ! [ -e $i61 ]; then
  touch $i61
  ./Iter_T61 srf:$srf max:1000 min_cirmsd:$min_cirmsd sim:$sim ci_rmsd:$ci_rmsd i61:$i61
fi
