#!/usr/bin/perl
use File::Basename;

($cp)=@ARGV;
die "Usage: ?@ARGV" unless ($cp);
$cp=basename($cp);
print "cgo_name='$cp'\n";

$rec="COLOR, 0.0, 0.1, 1.0,\n";
$rec_cp="COLOR, 1.0, 1.0, 0.0,\n";

$lig="COLOR, 0.1, 1.0, 0.0,\n";
$lig_cp="COLOR, 1.0, 0.1, 0.0,\n";

$color=$lig;
$cp_color=$lig_cp;
if ($cp=~/r/) {
 $color=$rec;
 $cp_color=$rec_cp;
}

%atoms=();
open CP, "<$cp" or die "$cp?";
while (<CP>) {
  ($idx, $type, $x, $y, $z)=split();
  $atoms{$idx-1}=join(',', $x+0,$y+0,$z+0);
}

sub cps() {
  print $color;
  foreach (keys %atoms) {
      print "SPHERE, $atoms{$_},0.30,\n";
  }
  print $cp_color;
  while (<STDIN>) {
    while (/ (\d+)/g) {
      print "SPHERE, $atoms{$1},0.40,\n";
    }
  }
}

print <<HEAD
from pymol.cgo import *
from pymol import cmd

atoms = [
HEAD
;

cps();

print <<TAIL
    ]

cmd.load_cgo(atoms, cgo_name, 1)
TAIL
;

