#!/usr/bin/perl
use File::Basename;

@LZerD=@ARGV;

%xls25=(); %xls40=();
foreach $file (@LZerD) {
  open OUT, "grep ^SRB $file | grep -n . | head -n 1000 | sed 's/:/ /g' | awk '{print \$1,\$3,\$4;}'|" or die $_;
  $MIN25=0; $MIN40=0;
  while (<OUT>) { 
    ($top, $srb, $irmsd)=split();
    if ($irmsd<=2.5) { $MIN25=$top unless ($MIN25); }
    if ($irmsd<=4.0) { $MIN40=$top unless ($MIN40); }
  }
  
  foreach $t (1, 5, 10, 30, 50, 100, 200, 300, 500, 800, 1000) {
    $xls25{$t}++ if ($MIN25 && $t>=$MIN25);
    $xls40{$t}++ if ($MIN40 && $t>=$MIN40);
  }
}
$total=@LZerD;
foreach (sort {$a<=>$b} keys %xls25) { print "CI_RMSD.25 $_ $xls25{$_} / $total = ".($xls25{$_}*100/$total)."\n"; }
foreach (sort {$a<=>$b} keys %xls40) { print "CI_RMSD.40 $_ $xls40{$_} / $total = ".($xls40{$_}*100/$total)."\n"; }
