#!/usr/bin/perl

open DEMO, "awk '{if (\$4>\$6) print \$6-\$2, \$0; else print \$4-\$2, \$0; }' B50.dat | sort -rn | head -n 4|" or die "B50.dat";

while (<DEMO>) {
  print;
  ($diff, $id, $i61, $n61, $srf, $nsrf, $lzerd, $nlzerd)=split();
  $id4=substr($id, 0, 4);
  $pred="/scratch/scratch96/l/lib/LZerD/ORD_SRB/$id4.LZerD";
  $rb="/scratch/scratch96/l/lib/LZerD/BASE/PDB/${id4}_rb.pdb";
  $lb="/scratch/scratch96/l/lib/LZerD/BASE/PDB/${id4}_lb.pdb";
 
  `cp $rb .`;
  `cp $lb .`;

  $txt="$id.$n61.i61.txt";
  `grep " $n61 " $pred | ./fix.pl > $txt`;
  `./gen_pdb $rb $lb $txt 1 $id.i61.$n61.`;

  $txt="$id.$nsrf.srf.txt";
  `grep " $nsrf " $pred | ./fix.pl > $txt`;
  `./gen_pdb $rb $lb $txt 1 $id.srf.$nsrf.`;

  $txt="$id.$nlzerd.lzd.txt";
  `grep " $nlzerd " $pred | ./fix.pl > $txt`;
  `./gen_pdb $rb $lb $txt 1 $id.lzd.$nlzerd.`;
}
