set term png size 1024, 768 
set term png size 400, 300
#    set title "GIW.dat"
set xlabel "Rank (log scale)"
set ylabel "%Correct predictions"
set yrange [0:100]
set key right bottom
set logscale x
#set nokey
set output 'R10.25.log.png'
set label 20 "C" at 2, 90  front nopoint tc def
set title "PI_LZerD use 10 res. shift PPI with cutoff 2.5A"
plot 'LZerD.25A.dat' u 1:2 w l title "LZerD", \
  'LZerD.CI_RMSD.25.2k.srb.dat' u 2:7 w l title "LZerD with cluster", \
  'SRF10.25.dat' u 1:6 w l title "Simple Residue Filtering", \
  'i61.R10.2.5A.dat' u 1:6 w l title "PI_LZerD with correct PPI"

set output 'R10.40.log.png'
set label 20 "D" at 2, 90  front nopoint tc def
set title "PI_LZerD use 10 res. shift with cutoff 4.0A"
plot 'LZerD.40A.dat' u 1:2 w l title "LZerD", \
  'LZerD.CI_RMSD.40.2k.srb.dat' u 2:7 w l title "LZerD with cluster", \
  'SRF10.40.dat' u 1:6 w l title "Simple Residue Filtering", \
  'i61.R10.4.0A.dat' u 1:6 w l title "PI_LZerD with correct PPI"
