#!/usr/bin/perl
use File::Basename;

#@LZerD=`ls /scratch/scratch96/l/lib/LZerD/ORD_SRB/*.LZerD`;
@LZerD=<STDIN>;

%xls25=(); %xls40=(); $total=0;
foreach $file (@LZerD) { chomp($file);
  open OUT, "grep -n ^SRB $file | head -n 1000 | sed 's/:SRB/ /g' | awk '{print \$1,\$2,\$3;}'|" or die $_;
  $MIN25=0; $MIN40=0; $total++;
  while (<OUT>) { 
    ($top, $srb, $irmsd)=split();
    if ($irmsd<=2.5) { $MIN25=$top unless ($MIN25); }
    if ($irmsd<=4.0) { $MIN40=$top unless ($MIN40); }
  }
  
  foreach $t (1, 5, 10, 30, 50, 100, 200, 300, 500, 800, 1000) {
    $xls25{$t}++ if ($MIN25 && $t>=$MIN25);
    $xls40{$t}++ if ($MIN40 && $t>=$MIN40);
  }
}
foreach (sort {$a<=>$b} keys %xls25) { print "LZerD.25 $_ $xls25{$_} / $total = ".($xls25{$_}*100/$total)."\n"; }
foreach (sort {$a<=>$b} keys %xls40) { print "LZerD.40 $_ $xls40{$_} / $total = ".($xls40{$_}*100/$total)."\n"; }
